
// Fonts
@mixin font-mixin-creator($font-family, $is-serif, $size, $colour, $weight, $lh) {
  @if $is-serif {
    font-family: $font-family, serif;
  } @else {
    font-family: $font-family, sans-serif;
  }
  @if $size { font-size: $size; }
  @if $colour { color: $colour; }
  @if $weight { font-weight: $weight; }
  @if $lh { line-height: $lh; }
}

@mixin font-roboto($size: false, $colour: false, $weight: false, $lh: false) {
  @include font-mixin-creator('Roboto-Regular', false, $size, $colour, $weight, $lh);
}

@mixin font-roboto-bold($size: false, $colour: false, $weight: false, $lh: false) {
  @include font-mixin-creator('Roboto-Bold', false, $size, $colour, $weight, $lh);
}

@mixin font-roboto-slab($size: false, $colour: false, $weight: false, $lh: false) {
  @include font-mixin-creator('RobotoSlab-Regular', false, $size, $colour, $weight, $lh);
}

@mixin font-roboto-slab-bold($size: false, $colour: false, $weight: false, $lh: false) {
  @include font-mixin-creator('RobotoSlab-Bold', false, $size, $colour, $weight, $lh);
}

// Media queries
@mixin for-tablet-up {
  @media (min-width: 768px) { @content; }
}

@mixin for-desktop-up {
  @media (min-width: 1025px) { @content; }
}
